| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::ThumbsDbAccess Class Reference

## Public Member Functions
| ThumbsDbAccess ()
| This class is written in analogy to CoreDbAccess (some features stripped off).
ThumbsDbBackend * | backend () const
ThumbsDb * | db () const
QString | lastError () const
void | setLastError (const QString &error)
| Set the "last error" message.

## Static Public Member Functions
static bool | checkReadyForUse (InitializationObserver *const observer)
static void | cleanUpDatabase ()
static void | initDbEngineErrorHandler (DbEngineErrorHandler *const errorhandler)
static bool | isInitialized ()
static DbEngineParameters | parameters ()
static void | setParameters (const DbEngineParameters &parameters)

## Constructor & Destructor Documentation

## ◆ ThumbsDbAccess()

Digikam::ThumbsDbAccess::ThumbsDbAccess | ( |  | ) |

For documentation, see coredbaccess.h

## Member Function Documentation

## ◆ setLastError()

void Digikam::ThumbsDbAccess::setLastError | ( | const QString & | error | ) |

This method is not for public use.